.case-banner {
  // @extend .main-container;
  // min-height: 100vh;
  padding-top: 5rem;
  display: flex;
  flex-direction: column;
  justify-content: center;

  &__title {
    margin: 0 0 1.6rem;

    @include font($primary-font, 4rem, var(--fallback-font-color), 600);
    text-align: center;

    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-image: var(--font-gradient);
  }

  &__description {
    margin-bottom: 3.7rem;

    @include font($primary-font, 1.875rem, var(--primary-font-color), 400);
    text-align: center;
  }

  &__mockups {
    width: 100%;
    padding: 0 4%;
    box-sizing: border-box;
    max-width: 1015px;
    margin: 7.5rem auto;

    display: flex;
    align-items: baseline;
    justify-content: space-between;
  }

  &__mockup-desktop {
    width: 77.4%;
  }

  &__mockup-mobile {
    width: 20.2%;
    transform: translateY(-9%);

    &:before {
      content: '';
      position: absolute;
      bottom: -15.6%;
      left: 0;

      @include size(100%, 1%);
      border-radius: 50%;
      background-color: var(--box-shadow-color);
      filter: blur(15px);
    }
  }

  &__mockup-desktop {
    .gradient {
      &:first-child {
        @include base-gradient(
          $percentage-size: 55%,
          $box-shadow-size: $box-shadow-m,
          $t: -7%,
          $l: -6%
        );
      }

      &:nth-child(2) {
        @include base-gradient(
          $percentage-size: 17%,
          $box-shadow-size: $box-shadow-s,
          $t: 25%,
          $r: -11%
        );
      }

      &:nth-child(3) {
        @include base-gradient(
          $percentage-size: 13.6%,
          $box-shadow-size: $box-shadow-s,
          $b: -11%,
          $r: 32.7%
        );
      }
    }
  }

  &__mockup-mobile {
    .gradient {
      &:first-child {
        @include base-gradient(
          $percentage-size: 29.5%,
          $box-shadow-size: $box-shadow-xs,
          $b: -3.9%,
          $l: 32.8%
        );
      }

      &:nth-child(2) {
        @include base-gradient(
          $percentage-size: 29.5%,
          $box-shadow-size: $box-shadow-xs,
          $b: -3.9%,
          $r: -11.8%
        );
      }

      &:nth-child(3) {
        @include base-gradient(
          $percentage-size: 29.5%,
          $box-shadow-size: $box-shadow-xs,
          $b: 22%,
          $r: -11.8%
        );
      }
    }
  }
}
// PHONE
@include phone {
  .case-banner {
    // min-height: calc(100vh - 10rem);
    padding: 5rem 1rem 0;

    &__title {
      font-size: 2rem;
    }

    &__description {
      font-size: 1.25rem;
      margin-bottom: 0;
    }

    &__mockups {
      margin: 5rem 0 0;
    }

    &__image {
      &-wrapper {
        width: 100%;
      }
    }
  }
}
